Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.cldc.jna
Class VarPointer

    java.lang.Object
      com.sun.squawk.realtime.RawMemoryAccess
          com.sun.squawk.realtime.RawMemoryFloatAccess
              com.sun.cldc.jna.Pointer
                  com.sun.cldc.jna.VarPointer

    public final class VarPointer

extends Pointer

A pointer to a native variable that can be read/wrote from Java. This needs to be extended to handle cases where ints are not 4 bytes, etc.

Field Summary

Fields inherited from class com.sun.squawk.realtime.RawMemoryAccess
`vbase`

Method Summary
`String` | `toString()` Returns a string representation of the object.

Methods inherited from class com.sun.cldc.jna.Pointer
`address, align, clear, clear, copyBytes, createStringBuffer, free, getPointer, getSize, getString, isValid, NativeUnsafeGetString, NULL, release, setPointer, setString, share, share`

Methods inherited from class com.sun.squawk.realtime.RawMemoryFloatAccess
`getDouble, getDoubles, getFloat, getFloats, setDouble, setDoubles, setFloat, setFloats`

Methods inherited from class com.sun.squawk.realtime.RawMemoryAccess
`checkBounds, checkMultiBounds, checkMultiRead, checkMultiWrite, getAddress, getByte, getBytes, getInt, getInts, getLong, getLongs, getMappedAddress, getShort, getShorts, invalidate, map, map, map, setByte, setBytes, setInt, setInts, setLong, setLongs, setShort, setShorts, size, wasMalloced`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### toString

    public String toString()

  Description copied from class: `Object`
  Returns a string representation of the object. In general, the `toString` method returns a string that "textually represents" this object. The result should be a concise but informative representation that is easy for a person to read. It is recommended that all subclasses override this method.

  The `toString` method for class `Object` returns a string consisting of the name of the class of which the object is an instance, the at-sign character ``@`', and the unsigned hexadecimal representation of the hash code of the object. In other words, this method returns a string equal to the value of:

  >      getClass().getName() + '@' + Integer.toHexString(hashCode())

  Overrides:
    `toString` in class `Pointer`
  Returns:
    a string representation of the object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"